version: '2'
services:
  layoutv2:
    hostname: layoutv2
    container_name: layoutv2
    restart: always
    image: registry.cn-hangzhou.aliyuncs.com/sxtest/layout:gpu
    privileged: true
    ipc: host
    tty: true
    working_dir: /workspace
    ports:
      - '4869:8080'
      - '4868:22'
    # volumes:
    #   - ./:/workspace
    # deploy:
    #   resources:
    #     reservations:
    #       devices:
    #         - capabilities: [gpu]
